diff --git a/src/base/emu-i386/do_vm86.c b/src/base/emu-i386/do_vm86.c
index 02259a8127..c52497d106 100644
--- a/src/base/emu-i386/do_vm86.c
+++ b/src/base/emu-i386/do_vm86.c
@@ -100,13 +100,11 @@ int vm86_fault(unsigned trapno, unsigned err, dosaddr_t cr2)
       /* this one is for CPU detection programs
        * actually we should check if int0x06 has been
        * hooked by the pgm and redirected to it */
-#if 0
-      if (IS_REDIRECTED(0x06))
+      if (!IS_IRET(0x06))
       {
 	do_int(trapno);
 	return 0;
       }
-#endif
       /* Some db commands start with 2e (use cs segment)
 	 and thus is accounted for here */
       if (csp[0] == 0x2e) {
